
#property 		indicator_separate_window

extern int FontSize    = 10;
extern int X_Location  = 5;
extern int Y_Location  = 0;
extern int ATRPeriod   = 10;
extern int Windows0123 = 2;
extern color TextColor = White;
double g_pips_100      = 1.0;


int init() {
   if (Digits == 5 || Digits == 3 || Digits == 2) g_pips_100 = 10;
   ObjectCreate("com", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com", OBJPROP_CORNER, 0);
   ObjectSet("com", OBJPROP_XDISTANCE, X_Location);
   ObjectSet("com", OBJPROP_YDISTANCE, Y_Location + 15);
   ObjectCreate("com1", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com1", OBJPROP_CORNER, 0);
   ObjectSet("com1", OBJPROP_XDISTANCE, X_Location);
   ObjectSet("com1", OBJPROP_YDISTANCE, Y_Location + 27);
   ObjectCreate("com2", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com2", OBJPROP_CORNER, 0);
   ObjectSet("com2", OBJPROP_XDISTANCE, X_Location + 1050);
   ObjectSet("com2", OBJPROP_YDISTANCE, Y_Location + 15);
   ObjectCreate("com3", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com3", OBJPROP_CORNER, 0);
   ObjectSet("com3", OBJPROP_XDISTANCE, X_Location + 1050);
   ObjectSet("com3", OBJPROP_YDISTANCE, Y_Location + 27);
   ObjectCreate("com4", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com4", OBJPROP_CORNER, 0);
   ObjectSet("com4", OBJPROP_XDISTANCE, X_Location + 650);
   ObjectSet("com4", OBJPROP_YDISTANCE, Y_Location + 15);
   ObjectCreate("com5", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com5", OBJPROP_CORNER, 0);
   ObjectSet("com5", OBJPROP_XDISTANCE, X_Location + 650);
   ObjectSet("com5", OBJPROP_YDISTANCE, Y_Location + 27);
   ObjectCreate("com6", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com6", OBJPROP_CORNER, 0);
   ObjectSet("com6", OBJPROP_XDISTANCE, X_Location + 200);
   ObjectSet("com6", OBJPROP_YDISTANCE, Y_Location + 15);
   ObjectCreate("com7", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com7", OBJPROP_CORNER, 0);
   ObjectSet("com7", OBJPROP_XDISTANCE, X_Location + 200);
   ObjectSet("com7", OBJPROP_YDISTANCE, Y_Location + 27);
   ObjectCreate("com8", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com8", OBJPROP_CORNER, 0);
   ObjectSet("com8", OBJPROP_XDISTANCE, X_Location + 400);
   ObjectSet("com8", OBJPROP_YDISTANCE, Y_Location + 15);
   ObjectCreate("com9", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com9", OBJPROP_CORNER, 0);
   ObjectSet("com9", OBJPROP_XDISTANCE, X_Location + 400);
   ObjectSet("com9", OBJPROP_YDISTANCE, Y_Location + 27);
   ObjectCreate("com10", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com10", OBJPROP_CORNER, 0);
   ObjectSet("com10", OBJPROP_XDISTANCE, X_Location + 850);
   ObjectSet("com10", OBJPROP_YDISTANCE, Y_Location + 15);
   ObjectCreate("com11", OBJ_LABEL, Windows0123, 0, 0);
   ObjectSet("Com11", OBJPROP_CORNER, 0);
   ObjectSet("com11", OBJPROP_XDISTANCE, X_Location + 850);
   ObjectSet("com11", OBJPROP_YDISTANCE, Y_Location + 27);
   
   IndicatorShortName("Info Panel");
   }
   return (0);

int deinit() {
   ObjectDelete("com");
   ObjectDelete("com1");
   ObjectDelete("com2");
   ObjectDelete("com3");
   ObjectDelete("com4");
   ObjectDelete("com5");
   ObjectDelete("com6");
   ObjectDelete("com7");
   ObjectDelete("com8");
   ObjectDelete("com9");
   ObjectDelete("com10");
   ObjectDelete("com11");
   
   Comment("");
   return (0);
}

int start() {

   string ADR    = "ADR of " + ATRPeriod + "    = " + DoubleToStr(iATR(NULL, PERIOD_D1, ATRPeriod, 0) / (Point * g_pips_100), 1);
   string DRG    = "Todays Range = " + DoubleToStr(iATR(NULL, PERIOD_D1, 1, 0) / (Point * g_pips_100), 1);
   string DX     = "Spread     = " + DoubleToStr(MarketInfo(Symbol(), MODE_SPREAD) / g_pips_100, 2);
   string TZ     = "Tick Value = " + DoubleToStr(MarketInfo(Symbol(), MODE_TICKVALUE), 2);
   string SWPL   = "Swap Long  = " + DoubleToStr(MarketInfo(Symbol(), MODE_SWAPLONG), 2);
   string SWPS   = "Swap Short = " + DoubleToStr(MarketInfo(Symbol(), MODE_SWAPSHORT), 2);
   string LZ     = "Per 1 Lot = " + DoubleToStr(MarketInfo(Symbol(), MODE_LOTSIZE), 2);
   string MGR    = "Margin R. = " + DoubleToStr(MarketInfo(Symbol(), MODE_MARGINREQUIRED), 2);
   string MNL    = "Minimum Trade Lot = " + DoubleToStr(MarketInfo(Symbol(), MODE_MINLOT), 2);
   string MXL    = "Maximum Trade Lot = " + DoubleToStr(MarketInfo(Symbol(), MODE_MAXLOT), 2);
   string BID    = "Bid Price = " +DoubleToStr(Bid, Digits);
   string ASK    = "Ask Price = " +DoubleToStr(Ask, Digits);
   
   
   ObjectSetText("com" , ADR , FontSize, "Courier New", TextColor);
   ObjectSetText("com1", DRG , FontSize, "Courier New", TextColor);
   ObjectSetText("com2", DX  , FontSize, "Courier New", TextColor);
   ObjectSetText("com3", TZ  , FontSize, "Courier New", TextColor);
   ObjectSetText("com4", SWPL, FontSize, "Courier New", TextColor);
   ObjectSetText("com5", SWPS, FontSize, "Courier New", TextColor);
   ObjectSetText("com6", LZ  , FontSize, "Courier New", TextColor);
   ObjectSetText("com7", MGR , FontSize, "Courier New", TextColor);
   ObjectSetText("com8", MNL , FontSize, "Courier New", TextColor);
   ObjectSetText("com9", MXL , FontSize, "Courier New", TextColor);
   ObjectSetText("com10", BID, FontSize, "Courier New", TextColor);
   ObjectSetText("com11", ASK, FontSize, "Courier New", TextColor);

  
   return (0);
}