//+------------------------------------------------------------------+
//|                                             Period Seperator.mq4 |
//|                                              lucidlamp@gmail.com |
//+------------------------------------------------------------------+

#property link      "lucidlamp@gmail.com"

#property indicator_chart_window

extern int iHour=0; // I use 12 as it corresponds with 8am EST, when the metals get active.

int x=0;

int init()
   {
   }
   
int deinit()
   {
      for(int z=1;z<=x;z++)
         {
            ObjectDelete("Time" + z);
         }
   }
   
int start()
	{
      int iIndicatorCounted=IndicatorCounted();
      if(iIndicatorCounted<0)
         {
            return(-1);
         }
      int iLimit=Bars-iIndicatorCounted;
      for(int i=iLimit;i>=0;i--)
         {
            if(TimeHour(Time[i])==iHour && TimeMinute(Time[i])==0)
               {
                  x++;
                  ObjectCreate("Time" + x,OBJ_VLINE,0,Time[i],High[i]);
                  ObjectSet("Time" + x,OBJPROP_COLOR,C'39,120,75'); // Color value to set/get object color.
                  ObjectSet("Time" + x,OBJPROP_STYLE,STYLE_SOLID); // Value is one of STYLE_SOLID, STYLE_DASH, STYLE_DOT, STYLE_DASHDOT, STYLE_DASHDOTDOT constants to set/get object line style.
                  ObjectSet("Time" + x,OBJPROP_WIDTH,1); // Integer value to set/get object line width. Can be from 1 to 5.
                  ObjectSet("Time" + x,OBJPROP_BACK,true); // Boolean value to set/get background drawing flag for object. (for example "true" will hide the value at the bottom of the chart.)
               }
         }
   }

